%define MAJver 7
%define pkgver %(echo %version | cut -d. -f1-2 | tr -d 0)
Name:          eric
Version:       23.7
Release:       1mamba
Summary:       A full featured Python and Ruby editor and IDE, written in Python
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://eric-ide.python-projects.org
Source: 	   http://downloads.sourceforge.net/sourceforge/eric-ide/eric7-%{version}.tar.gz
Source9:       eric4.desktop
Patch0:        eric4-4.3.9-python.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END
BuildRequires: python-qscintilla-py3 >= 2.10.8-2mamba
BuildRequires: python-xml
BuildRequires: qscintilla-devel
BuildRequires: PyQt5-py3
BuildRequires: PyQt5-devel
BuildRequires: PyQtChart-py3
BuildRequires: pyqtwebengine-py3
Requires:      PyQt5-py3
Requires:      PyQtChart-py3
Requires:      python-qscintilla-py3
Requires:      libqt5-designer
Requires:      python-sip-py3
Requires:      pyqtwebengine-py3

%description
Eric Integrated Development Environment is based on the cross platform Qt gui toolkit, integrating the highly flexible Scintilla editor control.
It is designed to be usable as everdays' quick and dirty editor as well as being usable as a professional project management tool integrating many advanced features Python offers the professional coder.
Eric includes a plugin system, which allows easy extension of the IDE functionality with plugins downloadable from the net.

%prep
%setup -q -n eric%{MAJver}-%{version}
#%patch0 -p1

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} install.py \
  -i %{buildroot}/ \
  -a %{_datadir}/qt5/qsci/api \
  -b %{_bindir} \
  -d %{python3_sitearch}

## Remove %{builddir} in API path
#sed -i -e 's|%{buildroot}||' %{buildroot}%{python3_sitearch}/eric%{MAJver}config.py

## Generate api files
#install -d %{buildroot}%{_datadir}/eric/
#PyQt4_apis="QtAssistant.api QtCore.api QtGui.api QtNetwork.api QtOpenGL.api QtSql.api QtSvg.api QtXml.api"
#PyKDE_apis="dcop.api kdecore.api kdefx.api kdeprint.api kdeui.api kfile.api khtml.api kmdi.api kparts.api kspell.api kutils.api"
#for api in $PyQt4_apis $PyKDE_apis ; do
#  > %{buildroot}%{_datadir}/eric/$api
#  echo "%ghost %{_datadir}/eric/$api" >> %{name}-api.list
#done

## Fix some permission
#chmod a+x %{buildroot}%{python3_sitearch}/eric%{MAJver}/*.py ||:

## Add environment variables for PySide, PyQt5, PyKDE5, Qt, Qt5 and Python documentations
#sed -i -e 's|exec|QT5DIR=%{_qt5_prefix}\nPYTHONDOCDIR=\$(echo %{_docdir}/python-[0-9\.]*/html)\nQT5DOCDIR=%{_qt5_docdir}/html\nPYQT5DOCDIR=\$(echo %{_docdir}/PyQt5-devel-*/html)\nPYKDE5DOCDIR=\$(echo %{_docdir}/PyKDE5-devel-*/html)\nPYSIDEDOCDIR=$(echo %{_docdir}/python-pyside-devel-*/html)\nexport QT5DIR PYTHONDOCDIR QTDOCDIR QT5DOCDIR PYQT5DOCDIR PYKDE5DOCDIR PYSIDEDOCDIR\n&|' %{buildroot}%{_bindir}/eric%{MAJver}
##sed -i -e 's|"QtToolsPostfix4" : "",|"QtToolsPostfix4" : "-qt4",|' %{buildroot}%{python3_sitearch}/eric4/Preferences/__init__.py

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/eric%{MAJver}_*
%dir %{python3_sitearch}/eric%{MAJver}
%{python3_sitearch}/eric%{MAJver}/*
%{python3_sitearch}/eric%{MAJver}config.py
%dir %{python3_sitearch}/eric%{MAJver}plugins
%{python3_sitearch}/eric%{MAJver}plugins/__init__.py
%{_datadir}/applications/eric%{MAJver}_ide.desktop
%{_datadir}/metainfo/eric%{MAJver}.appdata.xml
%{_datadir}/applications/eric%{MAJver}_browser.desktop
%{_datadir}/icons/hicolor/48x48/apps/eric.png
%{_datadir}/icons/hicolor/48x48/apps/ericWeb.png
%{_datadir}/icons/eric.png
%{_datadir}/icons/ericWeb.png
%{_datadir}/qt5/qsci/api/*
#%doc THANKS
#README README-i18n.txt

%changelog
* Mon Jul 03 2023 Automatic Build System <autodist@mambasoft.it> 23.7-1mamba
- automatic version update by autodist

* Sun May 28 2023 Automatic Build System <autodist@mambasoft.it> 23.6-1mamba
- automatic version update by autodist

* Tue May 02 2023 Automatic Build System <autodist@mambasoft.it> 23.5-1mamba
- automatic version update by autodist

* Wed Apr 05 2023 Automatic Build System <autodist@mambasoft.it> 23.4.2-1mamba
- automatic version update by autodist

* Thu Mar 30 2023 Automatic Build System <autodist@mambasoft.it> 23.4.1-1mamba
- automatic version update by autodist

* Wed Mar 29 2023 Automatic Build System <autodist@mambasoft.it> 23.4-1mamba
- automatic version update by autodist

* Thu Mar 02 2023 Automatic Build System <autodist@mambasoft.it> 23.3-1mamba
- automatic version update by autodist

* Wed Jan 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 23.2-1mamba
- update to 23.2

* Sat Nov 06 2021 Automatic Build System <autodist@mambasoft.it> 21.11-1mamba
- automatic version update by autodist

* Sun Sep 05 2021 Automatic Build System <autodist@mambasoft.it> 21.9-1mamba
- automatic version update by autodist

* Sun Jul 04 2021 Automatic Build System <autodist@mambasoft.it> 21.7-1mamba
- automatic version update by autodist

* Wed Jun 09 2021 Automatic Build System <autodist@mambasoft.it> 21.6-1mamba
- automatic version update by autodist

* Tue May 11 2021 Automatic Build System <autodist@mambasoft.it> 21.5-1mamba
- automatic version update by autodist

* Thu Jul 02 2020 Automatic Build System <autodist@mambasoft.it> 20.6-1mamba
- automatic version update by autodist

* Thu Mar 26 2020 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 20.3-1mamba
- update to 20.3

* Sat Aug 17 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 19.08-1mamba
- update to 19.08

* Sun Mar 31 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 19.03-1mamba
- update to 19.03

* Mon Mar 20 2017 Automatic Build System <autodist@mambasoft.it> 17.03.1-1mamba
- automatic version update by autodist

* Mon Mar 06 2017 Automatic Build System <autodist@mambasoft.it> 17.03-1mamba
- automatic version update by autodist

* Mon Feb 06 2017 Automatic Build System <autodist@mambasoft.it> 17.02.1-1mamba
- automatic version update by autodist

* Mon Jan 09 2017 Automatic Build System <autodist@mambasoft.it> 17.01-1mamba
- automatic version update by autodist

* Fri Dec 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.12-1mamba
- update to 16.12

* Mon Nov 07 2016 Automatic Build System <autodist@mambasoft.it> 6.1.11-1mamba
- automatic version update by autodist

* Mon Oct 17 2016 Automatic Build System <autodist@mambasoft.it> 6.1.10-1mamba
- automatic version update by autodist

* Fri Oct 07 2016 Automatic Build System <autodist@mambasoft.it> 6.1.9-1mamba
- automatic version update by autodist

* Wed Aug 03 2016 Automatic Build System <autodist@mambasoft.it> 6.1.8-1mamba
- automatic version update by autodist

* Mon Jul 04 2016 Automatic Build System <autodist@mambasoft.it> 6.1.7-1mamba
- automatic version update by autodist

* Mon Jun 13 2016 Automatic Build System <autodist@mambasoft.it> 6.1.6-1mamba
- automatic version update by autodist

* Mon May 09 2016 Automatic Build System <autodist@mambasoft.it> 6.1.5-1mamba
- automatic version update by autodist

* Mon Apr 11 2016 Automatic Build System <autodist@mambasoft.it> 6.1.4-1mamba
- automatic version update by autodist

* Thu Mar 24 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.3-1mamba
- update to 6.1.3

* Thu Jan 07 2016 Automatic Build System <autodist@mambasoft.it> 6.1.1-1mamba
- automatic version update by autodist

* Tue Dec 08 2015 Automatic Build System <autodist@mambasoft.it> 6.1.0-1mamba
- automatic version update by autodist

* Thu Nov 05 2015 Automatic Build System <autodist@mambasoft.it> 6.0.11-1mamba
- automatic version update by autodist

* Sun Oct 18 2015 Automatic Build System <autodist@mambasoft.it> 6.0.10-1mamba
- automatic version update by autodist

* Mon Sep 07 2015 Automatic Build System <autodist@mambasoft.it> 6.0.9-1mamba
- automatic version update by autodist

* Sun Aug 02 2015 Automatic Build System <autodist@mambasoft.it> 6.0.8-1mamba
- automatic version update by autodist

* Tue Jul 07 2015 Automatic Build System <autodist@mambasoft.it> 6.0.7-1mamba
- automatic version update by autodist

* Fri Jun 05 2015 Automatic Build System <autodist@mambasoft.it> 6.0.6-1mamba
- automatic version update by autodist

* Thu May 07 2015 Automatic Build System <autodist@mambasoft.it> 6.0.5-1mamba
- automatic version update by autodist

* Fri Apr 10 2015 Automatic Build System <autodist@mambasoft.it> 6.0.4-1mamba
- automatic version update by autodist

* Fri Mar 06 2015 Automatic Build System <autodist@mambasoft.it> 6.0.3-1mamba
- automatic version update by autodist

* Tue Feb 24 2015 Automatic Build System <autodist@mambasoft.it> 6.0.2-1mamba
- automatic version update by autodist

* Thu Jan 22 2015 Automatic Build System <autodist@mambasoft.it> 6.0.1-1mamba
- automatic version update by autodist

* Sun Jan 18 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.0-1mamba
- update to 6.0.0

* Fri Jan 02 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.2-2mamba
- require python-sip-py3

* Thu Dec 11 2014 Automatic Build System <autodist@mambasoft.it> 5.5.2-1mamba
- automatic version update by autodist

* Sun Sep 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4.6-1mamba
- update to 5.4.6

* Mon Sep 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.24-1mamba
- update to 4.5.24

* Mon Aug 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.23-1mamba
- update to 4.5.23

* Tue Apr 01 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.20-1mamba
- update to 4.5.20

* Tue Feb 25 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.19-1mamba
- update to 4.5.19

* Thu Jul 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.13-1mamba
- update to 4.5.13

* Sat Dec 15 2012 Automatic Build System <autodist@mambasoft.it> 4.5.7-1mamba
- update to 4.5.7

* Fri Sep 09 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.4.17-1mamba
- update to 4.4.17

* Sun Aug 21 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.4.16-1mamba
- update to 4.4.16

* Wed May 18 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.4.14-1mamba
- update to 4.4.14

* Sun Nov 07 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.4.9-2mamba
- added support to python-pyside documentation

* Sat Nov 06 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.4.9-1mamba
- update to 4.4.9

* Tue Sep 28 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.4.8-1mamba
- update to 4.4.8

* Thu Aug 26 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.4.7-1mamba
- update to 4.4.7

* Fri Jul 23 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.4.6-1mamba
- update to 4.4.6

* Mon Jun 14 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.4.5-1mamba
- update to 4.4.5

* Wed May 12 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.4.4a-1mamba
- update to 4.4.4a

* Mon May 10 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.4.4-1mamba
- update to 4.4.4

* Mon Apr 12 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.4.3-1mamba
- update to 4.4.3
- added italian language

* Wed Dec 30 2009 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.3.10-2mamba
- fixed file permissions
- added environment variables to launch script
- added missing build requirements

* Wed Dec 23 2009 Automatic Build System <autodist@mambasoft.it> 4.3.10-1mamba
- automatic update by autodist

* Mon Dec 07 2009 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.3.9-1mamba
- package created by autospec
